patches/gcc/4.4.6/300-uclibc-conf.patch
author Titus von Boxberg <titus@v9g.de>
Sun Aug 21 17:54:12 2011 +0200 (2011-08-21)
branch1.12
changeset 2635 daa630f28c05
parent 2149 98b7806295cc
permissions -rw-r--r--
complibs/libelf: use target ranlib

For portability, the right ranlib for the target must be passed to
libelf's configure.

Signed-off-by: "Titus von Boxberg" <titus@v9g.de>
(transplanted from e4a6fefcb0f5ecbcade3ae5edbe609560843aed1)
yann@2149
     1
diff -durN gcc-4.4.5.orig/contrib/regression/objs-gcc.sh gcc-4.4.5/contrib/regression/objs-gcc.sh
yann@2149
     2
--- gcc-4.4.5.orig/contrib/regression/objs-gcc.sh	2009-04-10 01:23:07.000000000 +0200
yann@2149
     3
+++ gcc-4.4.5/contrib/regression/objs-gcc.sh	2010-10-09 23:10:32.000000000 +0200
yann@2149
     4
@@ -106,6 +106,10 @@
yann@2149
     5
  then
yann@2149
     6
   make all-gdb all-dejagnu all-ld || exit 1
yann@2149
     7
   make install-gdb install-dejagnu install-ld || exit 1
yann@2149
     8
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
yann@2149
     9
+ then
yann@2149
    10
+  make all-gdb all-dejagnu all-ld || exit 1
yann@2149
    11
+  make install-gdb install-dejagnu install-ld || exit 1
yann@2149
    12
 elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
yann@2149
    13
   make bootstrap || exit 1
yann@2149
    14
   make install || exit 1
yann@2149
    15
diff -durN gcc-4.4.5.orig/libjava/classpath/ltconfig gcc-4.4.5/libjava/classpath/ltconfig
yann@2149
    16
--- gcc-4.4.5.orig/libjava/classpath/ltconfig	2007-06-04 01:18:43.000000000 +0200
yann@2149
    17
+++ gcc-4.4.5/libjava/classpath/ltconfig	2010-10-09 23:10:32.000000000 +0200
yann@2149
    18
@@ -603,7 +603,7 @@
yann@2149
    19
 
yann@2149
    20
 # Transform linux* to *-*-linux-gnu*, to support old configure scripts.
yann@2149
    21
 case $host_os in
yann@2149
    22
-linux-gnu*) ;;
yann@2149
    23
+linux-gnu*|linux-uclibc*) ;;
yann@2149
    24
 linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
yann@2149
    25
 esac
yann@2149
    26
 
yann@2149
    27
@@ -1251,7 +1251,7 @@
yann@2149
    28
   ;;
yann@2149
    29
 
yann@2149
    30
 # This must be Linux ELF.
yann@2149
    31
-linux-gnu*)
yann@2149
    32
+linux*)
yann@2149
    33
   version_type=linux
yann@2149
    34
   need_lib_prefix=no
yann@2149
    35
   need_version=no